gnutls_transport_set_pull_function(3)

NAME
gnutls_transport_set_pull_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_pull_function(gnutls_session_t session, gnutls_pull_func pull_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_pull_func pull_func
    a callback function similar to read()

DESCRIPTION
This is the function where you set a function for gnutls to receive data. Normally, if you use berkeley style sockets, do not need to use this function since the default recv(2) will probably be ok. The callback should return 0 on connection termination, a positive number indicating the number of bytes received, and -1 on error.
 gnutls_pull_func is of the form, ssize_t (*gnutls_pull_func)(gnutls_transport_ptr_t, void*, size_t);

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/